TransformAction Class Reference

`#include <TransformAction.h>`

Inheritance diagram for TransformAction:

## Public Member Functions

| TransformAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Static Private Member Functions

static bool | compareIdeals (const BigIdeal *a, const BigIdeal *b)

## Private Attributes

IOParameters | _io
BoolParameter | _canonicalize
BoolParameter | _sort
BoolParameter | _unique
BoolParameter | _minimize
BoolParameter | _deform
BoolParameter | _radical
BoolParameter | _product
BoolParameter | _addPurePowers
BoolParameter | _trimVariables
BoolParameter | _transpose
BoolParameter | _swap01
IntegerParameter | _projectVar

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 27 of file TransformAction.h.

## Constructor & Destructor Documentation

## TransformAction()

TransformAction::TransformAction | ( |  | ) |

Definition at line 30 of file TransformAction.cpp.

## Member Function Documentation

## compareIdeals()

bool TransformAction::compareIdeals | ( | const BigIdeal * | a,
|  | const BigIdeal * | b )

static private

Definition at line 227 of file TransformAction.cpp.

## obtainParameters()

void TransformAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 108 of file TransformAction.cpp.

## perform()

void TransformAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 125 of file TransformAction.cpp.

## staticGetName()

const char * TransformAction::staticGetName | ( |  | ) |

static

Definition at line 223 of file TransformAction.cpp.

## Member Data Documentation

## _addPurePowers

BoolParameter TransformAction::_addPurePowers

private

Definition at line 48 of file TransformAction.h.

## _canonicalize

BoolParameter TransformAction::_canonicalize

private

Definition at line 41 of file TransformAction.h.

## _deform

BoolParameter TransformAction::_deform

private

Definition at line 45 of file TransformAction.h.

## _io

IOParameters TransformAction::_io

private

Definition at line 40 of file TransformAction.h.

## _minimize

BoolParameter TransformAction::_minimize

private

Definition at line 44 of file TransformAction.h.

## _product

BoolParameter TransformAction::_product

private

Definition at line 47 of file TransformAction.h.

## _projectVar

IntegerParameter TransformAction::_projectVar

private

Definition at line 52 of file TransformAction.h.

## _radical

BoolParameter TransformAction::_radical

private

Definition at line 46 of file TransformAction.h.

## _sort

BoolParameter TransformAction::_sort

private

Definition at line 42 of file TransformAction.h.

## _swap01

BoolParameter TransformAction::_swap01

private

Definition at line 51 of file TransformAction.h.

## _transpose

BoolParameter TransformAction::_transpose

private

Definition at line 50 of file TransformAction.h.

## _trimVariables

BoolParameter TransformAction::_trimVariables

private

Definition at line 49 of file TransformAction.h.

## _unique

BoolParameter TransformAction::_unique

private

Definition at line 43 of file TransformAction.h.

The documentation for this class was generated from the following files:

- src/TransformAction.h
- src/TransformAction.cpp